{{ $selfManagedCards := slice }}
{{ $selfManagedCards =
  $selfManagedCards | append (dict "title" (T "installation.installDockerTitle") "url" "install/docker/" "description" (T "installation.installDockerDesc")) (dict "title" (T "installation.compileSourceTitle") "url" "install/installation/" "description" (T "installation.compileSourceDesc"))
  (dict "title" (T "installation.installCloudProviderTitle") "url" "install/cloud_providers/" "description" (T "installation.installCloudProviderDesc"))
}}
<section aria-labelledby="install-self-managed-gitlab" class="self-managed gl-text-center gl-py-8">
  <div class="container">
    <div class="row gl-text-left">
      <div class="col-12">
        <h2 id="install-self-managed-gitlab">{{ T "installation.installSelfManagedTitle" }}</h2>
      </div>
      <div class="col-12 options">
        <p>{{ T "installation.installSelfManagedOptions" }} <a href="{{ relURL "" }}install/install_methods/">{{ T "installation.installSelfManagedSeeAllLinkTxt" }} <img src="{{ "arrow-right-lp.svg" | relURL }}" class="gl--mt-2" alt=""></a></p>
      </div>
    </div>
    <div class="row">
      <div class="col-md-6 col-12 gl-py-5">
        <div class="card card-large gl-h-full">
          <div class="card-body">
            <img class="card-img-top" src="{{ "docs-omnibus.svg" | relURL }}" alt="">
            <h3 class="card-title gl-my-0 gl-pb-2 gl-max-w-none">{{ T "installation.installLinuxTitle" }}</h3>
            <p class="card-text">{{ T "installation.installLinuxDesc" }}</p>
            <a href="{{ relURL "" }}omnibus/installation/" class="card-link">{{ T "installation.installLinuxLinkTxt" }} <img src="{{ "arrow-right-lp.svg" | relURL }}" class="gl--mt-2" alt=""></a>
          </div>
        </div>
      </div>
      <div class="col-md-6 col-12 gl-py-5">
        <div class="card card-large gl-h-full">
          <div class="card-body">
            <img class="card-img-top" src="{{ "docs-charts.svg" | relURL }}" alt="">
            <h3 class="card-title gl-my-0 gl-pb-2 gl-max-w-none">{{ T "installation.installKubernetesTitle" }}</h3>
            <p class="card-text">{{ T "installation.installKubernetesDesc" }}</p>
            <ul class="gl-list-none gl-pl-0 xl:gl-flex gl-justify-around">
              <li>
                <a href="{{ relURL "" }}charts/" class="card-link">{{ T "installation.useHelmChartLinkTxt" }} <img src="{{ "arrow-right-lp.svg" | relURL }}" class="gl--mt-2" alt=""></a>
              </li>
              <li>
                <a href="{{ relURL "" }}operator/" class="card-link">{{ T "installation.useOperatorLinkTxt" }} <img src="{{ "arrow-right-lp.svg" | relURL }}" class="gl--mt-2" alt=""></a>
              </li>
            </ul>
          </div>
        </div>
      </div>
    </div>
    <ul class="row gl-list-none gl-mb-0 gl-pl-0">
      {{ range $selfManagedCards }}
        <li class="col-lg-4 col-12 gl-py-5">
          <div class="card transparent gl-text-left gl-h-full">
            <div class="gl-p-5">
              <h3 class="card-title gl-mt-0">
                <img src="{{ "download.svg" | relURL }}" class="gl-mr-3" alt="">
                <a href={{ relURL "" }}{{ .url }}>{{ .title }}</a>
              </h3>
              <p class="card-text gl-pl-8">
                {{ .description }}
              </p>
            </div>
          </div>
        </li>
      {{ end }}
    </ul>
    <div class="row">
      <div class="col related gl-pt-5">
        <p>
          <strong>{{ T "installation.relatedTopic" }}:</strong> <a href="{{ relURL "" }}runner/install/">{{ T "installation.gitlabRunnerLinkTxt" }},</a> {{ T "installation.gitlabRunnerLinkDesc" }}
        </p>
      </div>
    </div>
  </div>
</section>
